Predefined Constants
DOMAttr::__construct
DOM
PHP Manual

# The DOMAttr class

(PHP 5)

## Introduction

DOMAttr represents an attribute in the DOMElement object.

## Class synopsis

DOMAttr extends DOMNode {
/* Properties */
public readonly string $name ;
public readonly DOMElement $ownerElement ;
public readonly bool $schemaTypeInfo ;
public readonly bool $specified ;
public string $value ;
/* Methods */
public __construct ( string `$name` [, string `$value` ] )
public bool isId ( void )
/* Inherited methods */
public DOMNode DOMNode::appendChild ( DOMNode `$newnode` )
public string DOMNode::C14N ([ bool `$exclusive` [, bool `$with_comments` [, array `$xpath` [, array `$ns_prefixes` ]]]] )
public int DOMNode::C14NFile ( string `$uri` [, bool `$exclusive` [, bool `$with_comments` [, array `$xpath` [, array `$ns_prefixes` ]]]] )
public DOMNode DOMNode::cloneNode ([ bool `$deep` ] )
public int DOMNode::getLineNo ( void )
public string DOMNode::getNodePath ( void )
public bool DOMNode::hasAttributes ( void )
public bool DOMNode::hasChildNodes ( void )
public DOMNode DOMNode::insertBefore ( DOMNode `$newnode` [, DOMNode `$refnode` ] )
public bool DOMNode::isDefaultNamespace ( string `$namespaceURI` )
public bool DOMNode::isSameNode ( DOMNode `$node` )
public bool DOMNode::isSupported ( string `$feature` , string `$version` )
public string DOMNode::lookupNamespaceURI ( string `$prefix` )
public string DOMNode::lookupPrefix ( string `$namespaceURI` )
public void DOMNode::normalize ( void )
public DOMNode DOMNode::removeChild ( DOMNode `$oldnode` )
public DOMNode DOMNode::replaceChild ( DOMNode `$newnode` , DOMNode `$oldnode` )
}

## Properties

name

  The name of the attribute

ownerElement

  The element which contains the attribute

schemaTypeInfo

  Not implemented yet, always is `NULL`

specified

  Not implemented yet, always is `NULL`

value

  The value of the attribute

## See Also

- » W3C specification of Attr

## Table of Contents

- DOMAttr::__construct — Creates a new DOMAttr object
- DOMAttr::isId — Checks if attribute is a defined ID

Predefined Constants
DOMAttr::__construct
DOM
PHP Manual